package elements;

import java.awt.Graphics;

import javax.swing.ImageIcon;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class Dessinable
{
	protected float x;
	protected float y;
	
	protected ImageIcon img;
	
	public Dessinable( int xx, int yy)
	{
		x = xx;
		y = yy;
	}
	
	public int getY()
	{
		return (int)y;
	}
	
	public int getX()
	{
		return (int)x;
	}
	
	public void setY( int yy )
	{
		y = yy;
	}
	
	public void setX( int xx )
	{
		x = xx;
	}
	
	public int getWidth()
	{
		return img.getImage().getWidth(null);
	}
	
	public int getHeight()
	{
		return img.getImage().getHeight(null);
	}	
	
	public void refresh(long temps) {}	
	
	public void shape(Graphics graphics) 
	{
		graphics.drawImage( img.getImage(), (int)x, (int)y, null  );
	}	
}
