package elements.Ennemis;

import java.awt.geom.Area;
import java.awt.geom.Rectangle2D;
import elements.Tirs.TirEnnemi;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class EnnemiEvol1 extends Ennemi
{
	private static final long serialVersionUID = 1L;

	/**
	 * Constructeur
	 * @param xx x
	 * @param yy y
	 * @param vx vitesseX
	 * @param vy vitesseY
	 * @param il imageLoader
	 */	
	public EnnemiEvol1(int xx,int yy, int vx, int vy,int b)
	{
		super(xx,yy,vx,vy,150,200,1,b,0,1500,1);
		img = imgLoad.getEnnemi(1);
	}
	
	public void gestionTirs()
	{
		if( pretTirer() )
		{
			tirs.add( new TirEnnemi( (int)x + 10						, (int)y + img.getIconHeight() , -35, (int)(vitesseY*1.8) ) );
			tirs.add( new TirEnnemi( (int)x + img.getIconWidth() - 10	, (int)y + img.getIconHeight() ,  35, (int)(vitesseY*1.8) ) );
			tirOk();
		}
	}		

	/**
	 * Recupre la forme de l'ennemi
	 */	
	public Area getArea()
	{
		return new Area( new Rectangle2D.Double(x,y+5,61,49) );
	}	
}
