package elements.Explosions;

import java.awt.Graphics;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class ExplosionJoueur extends Explosion
{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Constructeur
	 * @param xx x
	 * @param yy y
	 * @param il image loader
	 */
	public ExplosionJoueur( int xx, int yy)
	{
		super( xx, yy,5,40);
	}
	
	
	/**
	 * redessine
	 */
	public void shape(Graphics graphics) 
	{	
		if( temps < tempsFrame*nbFrames )
		{
			int frame = temps / tempsFrame;
			graphics.drawImage( imgload.getExplosionJoueur(frame).getImage(), (int)x - imgload.getExplosionJoueur(frame).getImage().getWidth(null)/2, (int)y - imgload.getExplosionJoueur(frame).getImage().getHeight(null)/2, null  );
		}
	}
	
}
