package elements.Tirs;

import java.awt.Graphics;
import controles.ImageManager;
import elements.Tirs.Tir;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class TirJoueur extends Tir
{
	private static final long serialVersionUID = 1L;
	
	int level;
	ImageManager imgLoad;

	/**
	 * Constructeur
	 * @param xx x
	 * @param yy y
	 * @param vx Vitesse X
	 * @param vy Vitesse Y
	 * @param l niveau du tir
	 * @param il image loader
	 */
	public TirJoueur(int xx,int yy, int vx, int vy, int l)
	{
		super(xx,yy,vx,vy, (int)((l+7)*0.65) );
		
		if( l == 3 )
			force = 7;
		
		level = l;
		imgLoad = ImageManager.getImagemanager();

		img = imgLoad.getJoueurTir(level);
	}

	
	/**
	 * redessine 
	 */
	public void shape(Graphics graphics) 
	{
		graphics.drawImage( img.getImage(), (int)x, (int)y, null  );
	}		
}
