package elements.items;

import java.awt.Graphics;

import controles.NiveauManager;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class ItemPoint extends Item
{
	protected int points;

	public ItemPoint( int xx, int yy, int vy, int pt)
	{
		super(xx,yy,vy);
		points = pt;
	}
	
	public int getWidth()
	{
		return imgLoad.getItemPoint(0).getImage().getWidth(null);
	}
	
	public int getHeight()
	{
		return imgLoad.getItemPoint(0).getImage().getHeight(null);
	}		
	
	public int getPoint()
	{
		return points;
	}
	
	public void refresh(long t) 
	{
		yPrecedent = (int)y;
		
		//MAJ POSITIONS
		if( NiveauManager.getNiveauManager().getNiveau().getScrolling() > 10 )
		{
			y += (NiveauManager.getNiveauManager().getNiveau().getScrolling() * t)/1000.0;
			y += vitesseY * t /10000.0;
		}
		else
		{
			y += vitesseY * t /3000.0;			
		}
		
		temps = ( temps + (int)t )%600;
	}	
	
	public void shape(Graphics graphics) 
	{
		graphics.drawImage( imgLoad.getItemPoint(temps/100).getImage(), (int)x, (int)y, null  );
	}		
	
	public String toString()
	{
		return "ItemPoint";
	}
	
}
