package elements.items;

import java.awt.Graphics;

import controles.NiveauManager;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class ItemTir extends Item
{
	int level;
	
	/**
	 * COnstructeur
	 * @param xx x
	 * @param yy y
	 * @param vy Vitesse Y
	 */
	public ItemTir( int xx, int yy, int vy)
	{
		super(xx,yy,vy);
		level = 1;
		
		if( vy == 0 )
			vitesseY = 150;
	}
	
	
	/**
	 * Recup taille image
	 */
	public int getWidth()
	{
		return imgLoad.getItemPoint(0).getImage().getWidth(null);
	}

	
	/**
	 * Recup taille image
	 */	
	public int getHeight()
	{
		return imgLoad.getItemPoint(0).getImage().getHeight(null);
	}	
	
	/**
	 * Recup le nombre de <p>
	 */
	public int getLevel()
	{
		return level;
	}
	
	
	/**
	 * Refresh
	 */
	public void refresh(long t) 
	{
		yPrecedent = (int)y;

		//MAJ POSITIONS
		if( NiveauManager.getNiveauManager().getNiveau().getScrolling() > 10 )
		{
			y += (NiveauManager.getNiveauManager().getNiveau().getScrolling() * t)/1000.0;
			y += vitesseY * t /10000.0;
		}
		else
		{
			y += vitesseY * t /3000.0;			
		}
		
		temps = ( temps + (int)t )%600;
	}	
	
	
	/**
	 * Shape
	 */
	public void shape(Graphics graphics) 
	{
		graphics.drawImage( imgLoad.getItemTir(temps/100).getImage(), (int)x, (int)y, null  );
	}		
	
	
	/**
	 * Statut item
	 */
	public String toString()
	{
		return "ItemTir";
	}
	
}