package launcher;

import java.awt.GridLayout;
import java.io.FileInputStream;
import java.util.Properties;
import javax.swing.JLabel;
import javax.swing.JPanel;


/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class LauncherScores extends JPanel
{
	private static final long serialVersionUID = 1L;
	private String title;
	
	private String[] score;
	private String[] nomsScore;	
	
	public LauncherScores()
	{
		title = "Scores";
		
		score		= new String[10];
		nomsScore	= new String[10];
		readScore();
		
		// LAYOUTS
		GridLayout gl = new GridLayout(0,3);
		JPanel contain = new JPanel();
		contain.setLayout(gl);
		
		// FILL
		for( int i=0;i<10;i++)
		{
			contain.add( new JLabel( (i+1) + "."	));	
			contain.add( new JLabel( nomsScore[i] 	));	
			contain.add( new JLabel( score[i] 		));			
		}
		
		add( contain );		
	}

	/**
	 * lis les scores
	 */
	public void readScore()
	{
		
		Properties lecteur = new Properties();

		FileInputStream fichier;
		
		try
		{
			fichier = new FileInputStream("Data/scores.dat");
			lecteur.load(fichier);
			fichier.close();
			
			for( int i=0;i<score.length;i++)
				score[i] =  lecteur.getProperty("score"+(i+1));
			
			for( int i=0;i<score.length;i++)
				nomsScore[i] =  lecteur.getProperty("init"+(i+1));

		}
		catch( Exception e)
		{
			for( int i=0;i<score.length;i++)
				score[i] = "AAA          0000000000";
		}
	}		
	
	public String getTitle()
	{
		return title;
	}	
}
