package menus;

import java.awt.Graphics2D;
import java.awt.Toolkit;
import javax.swing.ImageIcon;

import controles.SonManager;

import sons.Son;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class MenuFinJeu extends Menu
{
	private static final long serialVersionUID = 1L;
	
	private int temps;
	private Son musique;

	public MenuFinJeu()
	{
		musique = SonManager.getSonManager().musiqueEndOfBlackArmada;
		musique.boucle();

		typeDeMenu = "MenuFinJeu";
		fond = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/endBlackArmada.png"));
		temps = 13500;
	}

	public void refresh(long t) 
	{
		temps -= t;
	}
	
	public void shape(Graphics2D graphics2D) 
	{
		graphics2D.drawImage( fond.getImage(),0,0, null );		
	}
	
	public boolean isDone()
	{
		if( temps <0 || clavier.isEntrer() )
			musique.stop();
		
		return temps < 0 || clavier.isEntrer();
	}
}
