package menus;

import java.awt.Toolkit;
import javax.swing.ImageIcon;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class MenuPrincipal extends Menu
{

	private static final long serialVersionUID = 1L;
	

	public MenuPrincipal()
	{
		String path = this.getClass().getResource(".").getPath().replaceAll("%20", " ");
		path 		+= "../../";		
		menu = new ImageIcon [6];
		menuChoix = new ImageIcon [6];
			
		menu[0] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/jouer.png"));
		menu[1] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/options.png"));
		menu[2] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/scores.png"));
		menu[3] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/apropos.png"));
		menu[4] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/website.png"));
		menu[5] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/quitter.png"));
		
		menuChoix[0] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/jouer_bleu.png"));
		menuChoix[1] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/options_bleu.png"));
		menuChoix[2] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/scores_bleu.png"));
		menuChoix[3] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/apropos_bleu.png"));	
		menuChoix[4] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/website_bleu.png"));
		menuChoix[5] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/quitter_bleu.png"));
		
		typeDeMenu = "MenuPrincipal";
		
		fond = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/menu.png"));
	}
	
	
	public boolean getGoJeu()
	{
		return clavier.isEntrer() && choix == 0;
	}
	
	public boolean getGoOption()
	{
		return clavier.isEntrer() && choix == 1;
	}
	
	public boolean getGoScores()
	{
		return clavier.isEntrer() && choix == 2;
	}	
	
	public boolean getGoAPropos()
	{
		return clavier.isEntrer() && choix == 3;
	}	
	
	public boolean visitWebsite()
	{
		return clavier.isEntrer() && choix == 4;
	}	
	
	public boolean getExit()
	{
		return clavier.isEntrer() && choix == 5 || clavier.isESC();		
	}

}
