package menus;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.Toolkit;
import java.io.File;
import javax.swing.ImageIcon;
import sons.Son;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class MenuPub extends Menu
{
	private static final long serialVersionUID = 1L;
	
	private int temps;
	private Son musique;
	
	public MenuPub()
	{
		String path = this.getClass().getResource(".").getPath().replaceAll("%20", " ");
		path 		+= "../../";
		
		menu = null;
		menuChoix = null;
		
		typeDeMenu = "MenuPub";
		fond = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Logo/premenu.png"));
		temps = 3500;
		
		try{musique = new Son( new File( path + "Sons/premenu.wav" ) );}catch( Exception e){}
		
	}

	public void refresh(long t) 
	{
		temps -= t;
		
		if( temps < 2500 && ! musique.estEntrainDeJouer() )
			musique.jouer();
	}
	
	public void shape(Graphics2D graphics2D) 
	{
		graphics2D.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
		graphics2D.setColor(Color.black);
		graphics2D.fillRect(0, 0, 1024, 768);	
		
		graphics2D.drawImage( fond.getImage(),200,80, null );		
	}
	
	public boolean isDone()
	{
		if( temps < 0 || clavier.isEntrer())
			musique.stop();
		
		return temps < 0 || clavier.isEntrer();
	}
}
