package niveaux;

import java.awt.Toolkit;
import javax.swing.ImageIcon;

import controles.Environnement;
import controles.ImageManager;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class Niveau3 extends Niveau
{	
	public Niveau3()
	{
		super(800,1200);
		
		background 	= new ImageIcon( Toolkit.getDefaultToolkit().getImage("Images/Maps/map3.png"));
		foreground  = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Maps/map1_clouds.png"));
		
		ImageManager.getImagemanager().boss 	= new ImageIcon[5];
		ImageManager.getImagemanager().boss[0] 	= new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Boss/b3.png"));
		ImageManager.getImagemanager().boss[1] 	= new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Boss/b3Sub1.png"));
		ImageManager.getImagemanager().boss[2] 	= new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Boss/b3Sub2.png"));	
		ImageManager.getImagemanager().boss[3] 	= new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Boss/b3Sub3.png"));	
		ImageManager.getImagemanager().boss[4] 	= new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Boss/b3Sub4.png"));
		
		Environnement.getEnvironnement().joueur.setLight(false);
	}
	
	public void setScrolling( int vitesse )
	{
		speedBackground = vitesse;
		speedForeground = (int)(vitesse*1.5);
	}	
}
