package elements.Ennemis;

import java.awt.geom.Area;
import java.awt.geom.Ellipse2D;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class EnnemiBasique extends Ennemi
{

	private static final long serialVersionUID = 1L;
	
	/**
	 * Constructeur
	 * @param xx x
	 * @param yy y
	 * @param vx vitesseX
	 * @param vy vitesseY
	 * @param il imageLoader
	 */
	public EnnemiBasique(int xx,int yy, int vx, int vy, int b)
	{
		super(xx,yy,vx,vy,10,50,0,b);
		img = imgLoad.getEnnemi(0);
	}
	
	/**
	 * Recupre la forme de l'ennemi
	 */
	public Area getArea()
	{
		return new Area( new Ellipse2D.Double(x+5,y+5,31,50) );
	}	
}
