package elements.Explosions;

import java.awt.Graphics;
import java.util.Random;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class ExplosionEnnemi extends Explosion
{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Constructeur
	 * @param xx x
	 * @param yy y 
	 * @param il image loader
	 */
	public ExplosionEnnemi( int xx, int yy)
	{
		super( xx, yy, 5,70);
	}
	
	
	/**
	 * redessine
	 */
	public void shape(Graphics graphics) 
	{	
		if( temps < tempsFrame*nbFrames )
		{
			int frame = temps / tempsFrame;
			
			Random rd = new Random();

			graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int) (x - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2 + (rd.nextFloat()*40-20)), (int) (y+60 + (rd.nextFloat()*40-20)), null  );
			graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int) (x - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2 + (rd.nextFloat()*40-20)), (int) (y+60 + (rd.nextFloat()*40-20)), null  );				
			graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int) (x - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2 + (rd.nextFloat()*40-20)), (int) (y+60 + (rd.nextFloat()*40-20)), null  );
			graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int) (x - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2 + (rd.nextFloat()*40-20)), (int) (y+60 + (rd.nextFloat()*40-20)), null  );				

			graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int)x - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2, (int)y+40, null  );
		}
	}
	
}
