package elements.Explosions;

import java.awt.Graphics;
import java.util.Random;

import controles.Environnement;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class ExplosionLaser extends Explosion
{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Constructeur
	 * @param xx x
	 * @param yy y 
	 * @param il image loader
	 */
	public ExplosionLaser( int xx, int yy )
	{
		super( xx, yy, 5,70);
	}
	
	
	/**
	 * redessine
	 */
	public void shape(Graphics graphics) 
	{	
		if( temps < tempsFrame*nbFrames )
		{
			int frame = temps / tempsFrame;

			int width = (8* (int)((Environnement.getEnvironnement().LVL+2)/2) )*(Environnement.getEnvironnement().LVL+1)+1;

			Random rand = new Random();

			switch (Environnement.getEnvironnement().LVL)
			{	
				case 3:		
					graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int)x - 30 - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2 + (int)(rand.nextFloat()*(width/2.0)), (int)y+46, null  );
					graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int)x + 30 - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2 - (int)(rand.nextFloat()*(width/2.0)), (int)y+46, null  );								
				case 2:		
					graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int)x - 12 - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2 + (int)(rand.nextFloat()*(width/2.0)), (int)y+43, null  );
					graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int)x + 12 - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2 - (int)(rand.nextFloat()*(width/2.0)), (int)y+43, null  );										
				case 1:		
				case 0:
					graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int)x - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2, (int)y+41, null  );
					graphics.drawImage( imgload.getExplosionEnnemi(frame).getImage(), (int)x - imgload.getExplosionEnnemi(frame).getImage().getWidth(null)/2, (int)y+42, null  );
					break;
				case 4:		
					graphics.drawImage( imgload.getExplosionLaser(frame).getImage(), (int)x - 50 - imgload.getExplosionLaser(frame).getImage().getWidth(null)/2 + (int)(rand.nextFloat()*(width/2.0)), (int)y+25, null  );
					graphics.drawImage( imgload.getExplosionLaser(frame).getImage(), (int)x + 00 - imgload.getExplosionLaser(frame).getImage().getWidth(null)/2										 , (int)y+25, null  );	
					graphics.drawImage( imgload.getExplosionLaser(frame).getImage(), (int)x + 50 - imgload.getExplosionLaser(frame).getImage().getWidth(null)/2 - (int)(rand.nextFloat()*(width/2.0)), (int)y+25, null  );																																					
					break;
			}

		}
	}
	
}
