package elements.Explosions;

import java.awt.Graphics;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class ExplosionTir extends Explosion
{
	private static final long serialVersionUID = 1L;

	/**
	 * Constructeur
	 * @param xx x
	 * @param yy y 
	 * @param il image loader
	 */
	public ExplosionTir( int xx, int yy)
	{
		super( xx, yy, 3,100);
	}
	
	
	/**
	 * redessine
	 */	
	public void shape(Graphics graphics) 
	{	
		if( temps < tempsFrame*nbFrames )
		{
			int frame = temps / tempsFrame;
			graphics.drawImage( imgload.getExplosionTir(frame).getImage(), (int)x - imgload.getExplosionTir(frame).getImage().getWidth(null)/2, (int)y+40, null  );
		}
	}
	
}