package menus;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.Toolkit;
import javax.swing.ImageIcon;

/**
 * 
 * @author Jerome Baudoux : http://www.jerome-baudoux.com
 *
 */
public class MenuAPropos extends Menu
{
	private static final long serialVersionUID = 1L;
	private String[] apropos;

	public MenuAPropos()
	{
		menu = null;
		menuChoix = new ImageIcon[1];
		
		menuChoix[0] = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/Choix/retour_bleu.png"));
		
		typeDeMenu = "MenuAPropos";
		fond = new ImageIcon(Toolkit.getDefaultToolkit().getImage("Images/Menus/apropos.png"));

		apropos = new String[] 	
		{ 	
			"Black Armada is a Jrme BAUDOUX's game made",
			"in Java 6",
			"",
			"The  game is  now  in  beta  version  and is",
			"likely about to evolve",
			"",
			"Don't  hesitate  to  contact  me for sharing",
			"your impressions or comments.",
			"",
			"",
			"",
			"",
			"Black Armada est un jeu ralis  en  Java  6",
			"par Jrme BAUDOUX",
			"",
			"Le  jeu  est  actuellement  en version beta.",
			"Il est donc trs probable que des  nouvelles",
			"versions voient le jour",
			"",
			"N'hesitez pas a me contacter pour me  donner",
			"vos impressions ou commentaires."
		};

	}
	
	public void refresh(long t) 
	{
	}
	
	public void shape(Graphics2D graphics2D) 
	{

		graphics2D.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
		graphics2D.setColor(Color.white);
		graphics2D.fillRect(0, 0, 800, 600);
		graphics2D.drawImage( fond.getImage(),0,0, null );
		graphics2D.setFont(new Font(Font.MONOSPACED, Font.BOLD, 14));		
		graphics2D.setColor(Color.BLACK);	
		
		graphics2D.drawImage(menuChoix[0].getImage(), 760, 635, null );

		for(int i=0;i<apropos.length;i++)
			graphics2D.drawString(apropos[i], 580, 175+i*17);
	}	
	
	public boolean getGoMenuPrincipal()
	{
		return clavier.isEntrer() && choix == 0 || clavier.isESC();
	}
}
